#!/bin/bash


source setup.bash

export JOD_CONVERTER=jodconverter-core-3.0-beta-3

if [ "x$GEXTOPENOFFICE" != "x" ] ; then

  javac -version
  if [ $? != 0 ] ; then
    echo "Unable to locate 'javac'"
    echo "Have you set JAVA_HOME and put JAVA_HOME/bin in your path?"
    exit
  fi

  echo Compiling Code

  pushd "$GEXTOPENOFFICE/build-srcpack/packages" 

  ./COMPILE-INSTALL.sh 

  popd

  if [ ! -d lib/java ] ; then
    echo ""
    echo "Creating lib/java"
    mkdir -p lib/java
  fi

  echo ""
  echo "Installing jodconverter.jar into lib/java"
  /bin/cp -r $GEXTOPENOFFICE/build-srcpack/packages/$JOD_CONVERTER/jodconverter.jar lib/java/.


else 
  echo "Error: Environment variable GEXTOPENOFICE is not set"
fi

